#ifndef __MIXER_CURVES_H
#define __MIXER_CURVES_H
#include"MixerCurvesProtos.h"

t_point* add_point( /* Ajouter un point de vol, pan, etc... */
		   t_point*, /* Point precedent o l'on veut insrer */
		   int,      /* abscysse */
		   int       /* ordonne */
		   );


t_point* new_vol_curve( /* Cre une nouvelle courbe de volume */
		       t_mixer_elt*, /* element sur lequel ajouter */
		       int,          /* abscisse */
		       int           /* ordone */
		       );

t_point* new_pan_curve( /* Cre une nouvelle courbe de panning */
		       t_mixer_elt*, /* element sur lequel ajouter */
		       int,          /* abscisse */
		       int           /* ordone */
		       );

t_point* new_frq_curve( /* Cre une nouvelle courbe de frquence */
		       t_mixer_elt*, /* element sur lequel ajouter */
		       int,          /* abscisse */
		       int           /* ordone */
		       );


t_point* add_vol_point(
		      t_mixer_elt*, /* element sur lequel ajouter */
		      int,          /* abscisse */
		      int           /* ordone */
		      );


t_point* add_pan_point(
		      t_mixer_elt*, /* element sur lequel ajouter */
		      int,          /* abscisse */
		      int           /* ordone */
		      );

t_point* add_frq_point(
		      t_mixer_elt*, /* element sur lequel ajouter */
		      int,          /* abscisse */
		      int           /* ordone */
		      );

int remove_vol_point( /* Enlve un point de volume */
		     t_mixer_elt*, /* element auquel on va enlever le point */
		     int           /* abscysse */
		     );


int remove_pan_point( /* Enlve un point de panning */
		     t_mixer_elt*, /* element auquel on va enlever le point */
		     int           /* abscysse */
		     );

int remove_frq_point( /* Enlve un point de frquence */
		     t_mixer_elt*, /* element auquel on va enlever le point */
		     int           /* abscysse */
		     );


#endif

